@echo off
chcp 65001 >nul
echo ============================================================
echo 简化Windows构建脚本
echo ============================================================
echo.

echo 检查Python环境...
python --version
if errorlevel 1 (
    echo ❌ Python未安装或未添加到PATH
    pause
    exit /b 1
)

echo.
echo 检查依赖包...
python -c "import pandas, numpy, openpyxl, PyInstaller; print('✅ 所有依赖已安装')"
if errorlevel 1 (
    echo ❌ 缺少必要的依赖包
    echo 正在安装依赖...
    pip install pandas numpy openpyxl pyinstaller
)

echo.
echo 开始构建...
python simple_windows_build.py

echo.
echo 构建完成!
pause
